Last Comment Bug 697407 - Another Orion upstream update
: Another Orion upstream update
Status: RESOLVED FIXED
[sourceeditor][orion]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 10
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on:
Blocks: 679088 687568 687573 687577 687580 694767
  Show dependency treegraph
 
Reported: 2011-10-26 05:48 PDT by Mihai Sucan [:msucan]
Modified: 2011-11-01 05:33 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (92.05 KB, patch)
2011-10-26 07:44 PDT, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review
updated patch (117.58 KB, patch)
2011-10-30 09:38 PDT, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review
[in-fx-team] test fixes (119.46 KB, patch)
2011-10-31 04:24 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2011-10-26 05:48:12 PDT
We need to integrate more fixes from Orion upstream.
Comment 1 Mihai Sucan [:msucan] 2011-10-26 07:44:47 PDT
Created attachment 569677 [details] [diff] [review]
proposed patch

Latest Orion upstream code. As agreed on IRC, I also included the drag and drop support patch I submitted for review upstream. This is temporary, until upstream goes through the needed review cycle and addresses some of the patch concerns. For reference, see:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=358623#c1

Beyond the usual number of upstream improvements and fixes, this patch fixes the following bugs reported in Mozilla's bugzilla: 687573, 687568, 687580 and 694767.

This patch does not yet fix bugs 695032 and 695035, but there is ongoing work upstream for them. Nothing landed yet.

All tests pass without any noticeable regressions. Looking forward for your review. Thank you!
Comment 2 Rob Campbell [:rc] (:robcee) 2011-10-28 07:00:21 PDT
(In reply to Mihai Sucan [:msucan] from comment #1)
> Created attachment 569677 [details] [diff] [review] [diff] [details] [review]
> proposed patch
> 
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=358623#c1
> 
> Beyond the usual number of upstream improvements and fixes, this patch fixes
> the following bugs reported in Mozilla's bugzilla: 687573, 687568, 687580
> and 694767.

Can we get tests written for those bugs?

> This patch does not yet fix bugs 695032 and 695035, but there is ongoing
> work upstream for them. Nothing landed yet.

And these two? (probably written as todos for now)

> All tests pass without any noticeable regressions. Looking forward for your
> review. Thank you!

We've been a little lax in our tests for Orion to date. We still don't have an integrated comprehensive unittest suite for Orion (described in bug 668320). Maybe until we get that we should at least plug the testing holes in the bugs we know about. That should at least catch any future regressions by updated code.
Comment 3 Mihai Sucan [:msucan] 2011-10-30 09:38:09 PDT
Created attachment 570556 [details] [diff] [review]
updated patch

Updated patch. Changes:

- added fixes for:
  - Bug 679088 - line height issues with the Monaco font.
  - Eclipse Bug 362107 - Ctrl-Up/Down failure on Linux
    - see https://bugs.eclipse.org/bugs/show_bug.cgi?id=362107
  - Eclipse Bug 362428 - _getXToOffset() throws (index out of range):
    - see https://bugs.eclipse.org/bugs/show_bug.cgi?id=362428

- updated the fix for Bug 687580 (drag and drop). Made it work better.

- added tests for bugs 684862, 687568, 687573, 687580 and 694767. I also included a test for Eclipse bug 362107.

Please do some user testing on Windows and Mac and let me know if further changes are needed. Most of interest is drag and drop support. Looking forward for your review, thank you!


Pushed to the try server. Results:
https://tbpl.mozilla.org/?tree=Try&rev=d696dd1ca713

Builds and logs:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mihai.sucan@gmail.com-d696dd1ca713
Comment 4 Mihai Sucan [:msucan] 2011-10-30 09:48:35 PDT
Forgot to mention that this patch also fixes bug 687577 (had the fix in the first attachment added here).
Comment 5 Mihai Sucan [:msucan] 2011-10-31 04:24:10 PDT
Created attachment 570644 [details] [diff] [review]
[in-fx-team] test fixes

Updated the patch to fix test failures on Mac OS X. Also added a test for bug 687577.

Pushed to try.

Results:
https://tbpl.mozilla.org/?tree=Try&rev=802a802fb0a1

Builds:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mihai.sucan@gmail.com-802a802fb0a1
Comment 6 Rob Campbell [:rc] (:robcee) 2011-10-31 08:03:59 PDT
Comment on attachment 570644 [details] [diff] [review]
[in-fx-team] test fixes

cursory r+
Comment 7 Mihai Sucan [:msucan] 2011-10-31 08:41:25 PDT
Comment on attachment 570644 [details] [diff] [review]
[in-fx-team] test fixes

Thank you Rob!

Pushed to fx-team:
https://hg.mozilla.org/integration/fx-team/rev/b78d449f0c8b
Comment 8 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-11-01 05:33:19 PDT
https://hg.mozilla.org/mozilla-central/rev/b78d449f0c8b

Note You need to log in before you can comment on or make changes to this bug.